com.streambase.liveview.client

## Class LiveViewPermission

- java.lang.Object
- - com.streambase.liveview.client.LiveViewPermission

-     public class LiveViewPermission
      extends Object

  Class that defines LiveView permissions. A permission consists of three colon-delimited subfields: type, action, and instance. Thus, for example, "table:query:ItemsSales" represents the permission necessary to query the ItemsSales table. Various constructors are provided for creating permission objects using either the enumerations defined below or strings.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LiveViewPermission.Action`
    `static class` | `LiveViewPermission.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WILDCARD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveViewPermission(LiveViewPermission.Type type)` One-argument constructor that wildcards the action and instance fields
    `LiveViewPermission(LiveViewPermission.Type type, LiveViewPermission.Action action)` Two-argument constructor that wildcards the instance fields
    `LiveViewPermission(LiveViewPermission.Type type, LiveViewPermission.Action action, String instance)` Constructor that uses enum arguments
    `LiveViewPermission(String type, String action, String instance)` Constructor that uses string arguments

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `String` | `getInstance()`
    `String` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WILDCARD

          public static final String WILDCARD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LiveViewPermission

          public LiveViewPermission(LiveViewPermission.Type type)

      One-argument constructor that wildcards the action and instance fields
      Parameters:
        `type` - the permission type

    - #### LiveViewPermission

          public LiveViewPermission(LiveViewPermission.Type type,
                                    LiveViewPermission.Action action)

      Two-argument constructor that wildcards the instance fields
      Parameters:
        `type` - the permission type
        `action` - the permission action

    - #### LiveViewPermission

          public LiveViewPermission(LiveViewPermission.Type type,
                                    LiveViewPermission.Action action,
                                    String instance)

      Constructor that uses enum arguments
      Parameters:
        `type` - the permission type
        `action` - the permission action
        `instance` - the permission instance

    - #### LiveViewPermission

          public LiveViewPermission(String type,
                                    String action,
                                    String instance)

      Constructor that uses string arguments
      Parameters:
        `type` - the permission type
        `action` - the permission action
        `instance` - the permission instance

  - ### Method Detail

    - #### getType

          public String getType()

    - #### getAction

          public String getAction()

    - #### getInstance

          public String getInstance()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.